package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.WIntHandler;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;

@PrimaryKey("complainId")
@Table
public class Complain implements CreateTimeSupported {
	private String complainId;
	private String professorId;
	private String complainContant;
	private String appellee;
	private String createTime;
	private Integer complainType;
	
	@Column(DE.id_32)
	public String getComplainId() {
		return complainId;
	}
	public void setComplainId(String complainId) {
		this.complainId = complainId;
	}
	
	@Column(DE.id_32)
	public String getProfessorId() {
		return professorId;
	}
	public void setProfessorId(String professorId) {
		this.professorId = professorId;
	}
	
	@Column(DE.string_de)
	public String getComplainContant() {
		return complainContant;
	}
	public void setComplainContant(String complainContant) {
		this.complainContant = complainContant;
	}
	
	@Column(value=DE.id_32,nullable=true)
	public String getAppellee() {
		return appellee;
	}
	public void setAppellee(String appellee) {
		this.appellee = appellee;
	}
	
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
	@Column(handlerClass=WIntHandler.class,dbType="INT",nullable=true,insertable=true,renewable=true,queryable=true)
	public Integer getComplainType() {
		return complainType;
	}
	public void setComplainType(Integer complainType) {
		this.complainType = complainType;
	}
	
}
