package com.ekexiu.portal.service;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.util.StringUtil;

import com.ekexiu.portal.dao.AuthApplyDao;
import com.ekexiu.portal.dao.ProfessorDao;
import com.ekexiu.portal.po.AuthApply;

@Path("/authApply")
public class AuthApplyService {
	@Autowrie
	private AuthApplyDao authApplyDao;
	@Autowrie
	private AuthImageService authImageService;
	@Autowrie
	private ProfessorDao professorDao;

	public AuthApplyDao getAuthApplyDao() {
		return authApplyDao;
	}

	public void setAuthApplyDao(AuthApplyDao authApplyDao) {
		this.authApplyDao = authApplyDao;
	}
	
	public AuthImageService getAuthImageService() {
		return authImageService;
	}

	public void setAuthImageService(AuthImageService authImageService) {
		this.authImageService = authImageService;
	}

	public ProfessorDao getProfessorDao() {
		return professorDao;
	}

	public void setProfessorDao(ProfessorDao professorDao) {
		this.professorDao = professorDao;
	}

	@Post
	@Path
	public String insert(@JdbcConn(true) Connection con, AuthApply authApply) throws SQLException{
		String authApplyId = StringUtil.buildUUID();
		authApply.setAuthApplyId(authApplyId);
		this.authApplyDao.insert(con, authApply);
		return authApplyId;
	}
	
}
